Subject: Re: bug#59038: loading this base64 file makes emacs -Q 28.2 peg a core infinitely

From: Alan Mackenzie <[email-masked]>
Date: Sat, 5 Nov 2022 22:03:51 +0000

Hello, Po.

On Sat, Nov 05, 2022 at 19:29:39 +0800, Po Lu wrote:

[ .... ]

> All of this is no longer a problem in Emacs 29, and even if you somehow
> still cause redisplay to become wedged, you can set max-redisplay-ticks
> to a suitable value.

I looked that up in Emacs with C-h v.  It says it's the maximum number
of "redisplay ticks" before some aborting or other occurs.

I don't know what a redisplay tick is, and the dock string doesn't
explain it.  I've never heard of the term before.

This doc string is thus not very helpful, quite the reverse.

Maybe one of the manuals explains it.  It would be nice to have that
doc string amended to be less puzzling.

-- 
Alan Mackenzie (Nuremberg, Germany).